package cn.flyrise.pai.xlink.gree;

/**
 * 格力常量
 *
 * @author Y.zc
 */
public class GreeConstants {

    public static class Auth{

        public static final String HEAD_BASIC = "authorization";
        public static final String HEAD_ACCESS_TOKEN = "accesstoken";
    }

    /**
     * 加签常量
     *
     * @author Y.zc
     */
    public static class Sign {
        public static final String HEAD_APP_ID = "op-app-id";
        public static final String HEAD_APP_SIGN = "op-app-sign";
        public static final String HEAD_APP_TIME = "op-app-time";

        public static final String SIGN_APP_ID = "_appId";
        public static final String SIGN_APP_SECRET = "_appSecret";
        public static final String SIGN_TIME = "_time";
        public static final String SIGN_BODY = "_body";
    }

}
