package cn.flyrise.pai.xlink.gree.model.constants;

/**
 * 格力配置常量
 *
 * @author Y.zc
 */
public class GreeConstants {

    public static final String PLATFORM = "gree";

    /**
     * 在职
     */
    public static final String JOB_WORK = "1";
    /**
     * 离职
     */
    public static final String JOB_LEAVE = "2";

    /**
     * 账号状态 禁用
     */
    public static final String USER_STATE_DISABLE = "0";
    /**
     * 账号状态 正常
     */
    public static final String USER_STATE_ENABLE = "1";
    /**
     * 账号状态 未激活
     */
    public static final String USER_STATE_NOT_ACTIVATED = "2";
    /**
     * 账号唯一标识
     */
    public static final String PERSON_CODE = "personCode";
    /**
     * 账号
     */
    public static final String ACCOUNT = "account";
    /**
     * token 前缀
     */
    public static final String TOKEN_TYPE = "Bearer ";
    /**
     * token
     */
    public static final String ACCESS_TOKEN = "access_token";
    /**
     * 返回响应code
     */
    public static final String RESPONSE_CODE = "code";
    /**
     * 返回响应data
     */
    public static final String RESPONSE_DATA = "data";


}
