package cn.flyrise.pai.xlink.gree.util;

import java.io.Serializable;

/**
 * 分页请求响应字段
 *
 * @author Y.zc
 */
public class PageResponseColumn implements Serializable {

    public PageResponseColumn() {
        this.statusCodeColumn = "code";
        this.successCode = "200";
        this.dataColumn = "data";
        this.msgColumn = "msg";
        this.pageIndexColumn = "pageIndex";
        this.pageSizeColumn = "pageSize";
        this.totalPageColumn = "totalPage";
        this.totalCountColumn = "totalCount";
        this.rowsColumn = "rows";
    }

    /**
     * 状态码
     */
    private String statusCodeColumn;

    /**
     * 成功状态码
     */
    private String successCode;

    /**
     * 数据字段
     */
    private String dataColumn;

    /**
     * 消息字段
     */
    private String msgColumn;

    /**
     * 页码字段
     */
    private String pageIndexColumn;

    /**
     * 条数字段
     */
    private String pageSizeColumn;
    /**
     * 总页数字段
     */
    private String totalPageColumn;

    /**
     * 总数字段
     */
    private String totalCountColumn;

    /**
     * List字段
     */
    private String rowsColumn;


    public String getStatusCodeColumn() {
        return statusCodeColumn;
    }

    public void setStatusCodeColumn(String statusCodeColumn) {
        this.statusCodeColumn = statusCodeColumn;
    }

    public String getSuccessCode() {
        return successCode;
    }

    public void setSuccessCode(String successCode) {
        this.successCode = successCode;
    }

    public String getDataColumn() {
        return dataColumn;
    }

    public void setDataColumn(String dataColumn) {
        this.dataColumn = dataColumn;
    }

    public String getMsgColumn() {
        return msgColumn;
    }

    public void setMsgColumn(String msgColumn) {
        this.msgColumn = msgColumn;
    }

    public String getPageIndexColumn() {
        return pageIndexColumn;
    }

    public void setPageIndexColumn(String pageIndexColumn) {
        this.pageIndexColumn = pageIndexColumn;
    }


    public String getPageSizeColumn() {
        return pageSizeColumn;
    }

    public void setPageSizeColumn(String pageSizeColumn) {
        this.pageSizeColumn = pageSizeColumn;
    }

    public String getTotalPageColumn() {
        return totalPageColumn;
    }

    public void setTotalPageColumn(String totalPageColumn) {
        this.totalPageColumn = totalPageColumn;
    }

    public String getTotalCountColumn() {
        return totalCountColumn;
    }

    public void setTotalCountColumn(String totalCountColumn) {
        this.totalCountColumn = totalCountColumn;
    }

    public String getRowsColumn() {
        return rowsColumn;
    }

    public void setRowsColumn(String rowsColumn) {
        this.rowsColumn = rowsColumn;
    }
}
