package cn.flyrise.pai.xlink.handler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Date;

/**
 * @author Y.zc
 */
public abstract class AbstractThirdPartySyncHandlerService implements IThirdPartySyncHandlerService {
    protected Logger logger = LoggerFactory.getLogger(getClass());

    @Override
    public void syncOrg() {
        logger.info("------>>默认的同步全量组织数据");
    }

    @Override
    public void syncOrg(Date time) {
        logger.info("------>>默认的同步增量组织数据");
    }

    @Override
    public void syncUser() {
        logger.info("------>>默认的同步全量用户数据");
    }

    @Override
    public void syncUser(Date time) {
        logger.info("------>>默认的同步增量用户数据");
    }

    @Override
    public void syncPost() {
        logger.info("------>>默认的同步全量岗位数据");
    }

    @Override
    public void syncPost(Date time) {
        logger.info("------>>默认的同步增量岗位数据");
    }

    @Override
    public void syncRole() {
        logger.info("------>>默认的同步全量角色数据");
    }

    @Override
    public void syncRole(Date time) {
        logger.info("------>>默认的同步增量角色数据");
    }

    @Override
    public void syncPark() {
        logger.info("------>>默认的同步园区数据");
    }

    @Override
    public void syncPark(Date time) {
        logger.info("------>>默认的同步园区数据");
    }

    @Override
    public void syncSpace() {
        logger.info("------>>默认的同步空间数据的方法");
    }

    @Override
    public void syncSpace(Date time) {
        logger.info("------>>默认的同步增量空间数据的方法");
    }


    @Override
    public void syncOther() {
        logger.info("------>>默认的同步全量其他业务数据的方法");
    }

    @Override
    public void syncOther(Date date) {
        logger.info("------>>默认的同步增量其他业务空间数据的方法");
    }
}
