package cn.flyrise.pai.xlink.handler;

/**
 * 单点登录适配器
 *
 * @author Y.zc
 */
public interface ISsoHandlerService {

    /**
     * 获取用户唯一标识
     *
     * @param code  授权码
     * @param state 自定义参数
     * @return String
     */
    String getUserCode(String code, String state);

    /**
     * 退出登录
     *
     * @return String 返回页面
     * @author Y.zc
     */
    String logout();
}
