package cn.flyrise.pai.xlink.model.dto;


import java.io.Serializable;

/**
 * 角色
 *
 * @author Y.zc
 */
public class RoleDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 角色标识
     */
    private String roleCode;
    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 排序
     */
    private Integer roleSort;

    /**
     * 状态 0禁用1启用
     */
    private String status;


    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getRoleSort() {
        return roleSort;
    }

    public void setRoleSort(Integer roleSort) {
        this.roleSort = roleSort;
    }

    @Override
    public String toString() {
        return super.toString() + "RoleDTO{" +
                "roleCode='" + roleCode + '\'' +
                ", roleName='" + roleName + '\'' +
                ", roleSort=" + roleSort +
                ", status=" + status +
                '}';
    }
}
