package cn.flyrise.pai.xlink.model.dto;

import cn.flyrise.pai.xlink.annotation.XLink;

import java.io.Serializable;

/**
 * 人员关联角色
 *
 * @author Y.zc
 */
@XLink("userRelRole")
public class UserRelRoleDTO extends BaseDTO implements Serializable {

    /**
     * 用户标识
     */
    private String userId;

    /**
     * 角色标识
     */
    private String roleCode;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    @Override
    public String toString() {
        return super.toString() + "UserRelRoleDTO{" +
                "userId='" + userId + '\'' +
                ", roleCode='" + roleCode + '\'' +
                '}';
    }
}
