package cn.flyrise.pai.xlink.model.po;

import java.io.Serializable;
import java.util.Date;

import cn.flyrise.mybatis.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
/**
 * 同步日志对象 link_org_sync_log
 *
 * @author pai
 * @date 2023-03-02
 */
@TableName("link_org_sync_log")
public class LinkOrgSyncLogPO implements Serializable {
    private static final long serialVersionUID=1L;



    /**
     *
     */
    @TableId("id")
    private String id;


    /**
     *  平台
     */
    @TableField("platform")
    private String platform;


    /**
     *  标题
     */
    @TableField("title")
    private String title;


    /**
     *  内容
     */
    @TableField("content")
    private String content;


    /**
     *  是否成功
     */
    @TableField("success")
    private Integer success;


    /**
     *  创建时间
     */
    @TableField("create_time")
    private Date createTime;


    /**
     *  执行时间(ms)
     */
    @TableField("execution_time")
    private Long executionTime;

    /**
     *  增量执行的时间
     */
    @TableField("incr_time")
    private Date incrTime;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public Integer getSuccess() {
        return success;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setExecutionTime(Long executionTime) {
        this.executionTime = executionTime;
    }

    public Long getExecutionTime() {
        return executionTime;
    }

    public Date getIncrTime() {
        return incrTime;
    }

    public void setIncrTime(Date incrTime) {
        this.incrTime = incrTime;
    }
}
