package cn.flyrise.pai.xlink.service;

import cn.flyrise.pai.xlink.model.po.LinkOrgDataParsePO;
import cn.flyrise.pai.xlink.model.vo.LinkOrgDataParseVO;
import cn.flyrise.mybatis.base.IBaseService;

import java.util.Map;

/**
 * 字段映射Service接口
 *
 * @author pai
 * @date 2023-02-24
 */
public interface ILinkOrgDataParseService extends IBaseService<LinkOrgDataParsePO, LinkOrgDataParseVO> {

    /**
     * 获取表parse.type的数据
     *
     * @param type xlink.value
     * @return Map<String,String>
     * @author Y.zc
     */
    Map<String, String> getParseByType(String type);

}
