package cn.flyrise.pai.xlink.service;

import cn.flyrise.pai.xlink.model.po.LinkOrgSyncInfoPO;
import cn.flyrise.pai.xlink.model.vo.LinkOrgSyncInfoVO;
import cn.flyrise.mybatis.base.IBaseService;

import java.util.Date;

/**
 * 同步的配置信息Service接口
 *
 * @author pai
 * @date 2023-03-02
 */
public interface ILinkOrgSyncInfoService extends IBaseService<LinkOrgSyncInfoPO, LinkOrgSyncInfoVO> {

    /**
     * 保存最后执行成功的时间
     *
     * @param startTime 开始执行的时间
     * @author Y.zc
     */
    void saveInfo(Date startTime);

    /**
     * 获取最后执行成功的时间
     *
     * @return Date
     * @author Y.zc
     */
    Date getLastSyncTime();

}
