package cn.flyrise.pai.xlink.controller;

import cn.flyrise.pai.xlink.handler.impl.SsoHandler;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 单点登录
 *
 * @author Y.zc
 */
@RestController
@RequestMapping("/sso/${api.version}")
public class SsoController {

    @Resource
    private SsoHandler ssoHandler;

    @GetMapping("{platform}")
    public void sso(@PathVariable String platform, String code, String state, HttpServletResponse response) throws IOException {
        ssoHandler.sso(platform, code, state, response);
    }

    @GetMapping("{platform}/logout")
    public void logout(@PathVariable String platform, HttpServletResponse response) {
        ssoHandler.logout(platform, response);
    }

}
