package cn.flyrise.pai.xlink.model.dto;


import java.io.Serializable;

/**
 * 园区数据
 *
 * @author Y.zc
 */
public class ParkDTO extends BaseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    private String code;
    /**
     * 名称
     */
    private String name;
    /**
     * type，0项目（园区）1楼宇 2房源 3停车场 4楼层 5停车场 6自定义区域 7楼栋 8工位
     */
    private String type;
    /**
     * 排序值
     */
    private String orderNum;
    /**
     * 面积
     */
    private String area;
    /**
     * 状态
     */
    private String status;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return super.toString() + "ParkDTO{" +
                "code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", area='" + area + '\'' +
                ", status='" + status + '\'' +
                '}';
    }
}
