package cn.flyrise.pai.xlink.model.po;

import java.io.Serializable;
import java.util.Date;

import cn.flyrise.mybatis.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
/**
 * 字段映射对象 link_org_data_parse
 *
 * @author pai
 * @date 2023-02-24
 */
@TableName("link_org_data_parse")
public class LinkOrgDataParsePO extends BaseEntity implements Serializable {
    private static final long serialVersionUID=1L;



    /**
     *  
     */
    @TableId("parse_id")
    private String parseId;


    /**
     *  名称
     */
    @TableField("parse_name")
    private String parseName;


    /**
     *  staff,org
     */
    @TableField("parse_type")
    private String parseType;


    /**
     *  例如staffName
     */
    @TableField("parse_key")
    private String parseKey;


    /**
     *  原始
     */
    @TableField("original_key")
    private String originalKey;




    public void setParseId(String parseId) {
        this.parseId = parseId;
    }

    public String getParseId() {
        return parseId;
    }

    public void setParseName(String parseName) {
        this.parseName = parseName;
    }

    public String getParseName() {
        return parseName;
    }

    public void setParseType(String parseType) {
        this.parseType = parseType;
    }

    public String getParseType() {
        return parseType;
    }

    public void setParseKey(String parseKey) {
        this.parseKey = parseKey;
    }

    public String getParseKey() {
        return parseKey;
    }

    public void setOriginalKey(String originalKey) {
        this.originalKey = originalKey;
    }

    public String getOriginalKey() {
        return originalKey;
    }
}