package cn.flyrise.pai.xlink.service;

import cn.flyrise.pai.xlink.model.po.LinkOrgSyncLogPO;
import cn.flyrise.pai.xlink.model.vo.LinkOrgSyncLogVO;
import cn.flyrise.mybatis.base.IBaseService;

import java.util.Date;

/**
 * 同步日志Service接口
 *
 * @author pai
 * @date 2023-03-02
 */
public interface ILinkOrgSyncLogService extends IBaseService<LinkOrgSyncLogPO, LinkOrgSyncLogVO> {

    LinkOrgSyncLogPO init(String title,Date incrTime);

    /**
     * 清理Log
     *
     * @param date 哪个时间开始
     */
    void clean(Date date);
}
